LibreOffice: TextInputStream Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
TextInputStream Service Referencepublished

provides functionality to read text data from a com::sun::star::io::XInputStream that initially has to be passed to the method XActiveDataSink::setInputStream(). More...

`import <TextInputStream.idl;`

Inheritance diagram for TextInputStream:

## Additional Inherited Members
Exported Interfaces inherited from XTextInputStream2
interface | com::sun::star::io::XTextInputStream
| Interface to read text data.
interface | com::sun::star::io::XActiveDataSink
| Interface to specify the used com::sun::star::io::XInputStream.
Public Member Functions inherited from XTextInputStream
string | readLine () raises ( com::sun::star::io::IOException )
| reads text until a line break (CR, LF, or CR/LF) or EOF is found and returns it as string (without CR, LF).
string | readString ([in] sequence< char > Delimiters, [in] boolean bRemoveDelimiter) raises ( com::sun::star::io::IOException )
| reads text until one of the given delimiter characters or EOF is found and returns it as string (without delimiter).
boolean | isEOF () raises ( com::sun::star::io::IOException )
| Returns the EOF status.
void | setEncoding ([in] string Encoding)
| sets character encoding.
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence.
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead.
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive).
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking.
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream.
com::sun::star::io::XInputStream | getInputStream ()

## Detailed Description

provides functionality to read text data from a com::sun::star::io::XInputStream that initially has to be passed to the method XActiveDataSink::setInputStream().

For details about the text functionality see com::sun::star::io::XTextInputStream.

The documentation for this service was generated from the following file:

- com/sun/star/io/TextInputStream.idl